QGIS Application - Bug report #9818
Crash when launching globe
2014-03-19 10:57 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Pirmin Kalberer

Category: C++ plugins/Globe

Affected QGIS version:2.8.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corruptsdata: Copied to github as #: 18349
Description

As soon as | launch Globe, without having configured it, QGIS crashes.

Master, just recompiled on Debian sid.

On Win7 (OSGeo4W), Globe does not seem to work at all. When trying to launch it, it just shows a "bad allocation” error without any
further information. Then trying to change the base map in settings results in a QGIS crash on closing settings.

[osgEarth]* WARNING: Failed to load terrain engine driver for "mp"
[osgEarth]* FAILED to create a terrain engine for this map

[osgEarth]* [CacheFactory] Failed to load cache plugin for type "filesystem

[osgEarth]* [CacheFactory] Failed to load cache plugin for type "filesystem
[osgEarth]* [CacheFactory] Failed to load cache plugin for type "filesystem"
QGIS died on signal 11

warning: Could not load shared library symbols for linux-vdso.so.1.

Do you need "set solib-search-path" or "set sysroot"?

[New LWP 24618]

[New LWP 24617]

[New LWP 24614]

[New LWP 24613]

[New LWP 24604]

[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

warning: no loadable sections found in added symbol-file system-supplied DSO at
0x7ffff99d7000
0x00007f432d5b4cf9 in __libc_waitpid (pid=24620, stat_loc=0x7{fff994647c, options=0)
at ../sysdeps/unix/sysv/linux/waitpid.c:40
40 ../sysdeps/unix/sysv/linux/waitpid.c: File o directory non esistente.
[Current thread is 1 (Thread 0x7f4334e1d7c0 (LWP 24603))]
#0 0x00007f432d5b4cf9 in __libc_waitpid (pid=24620, stat_loc=0x7ffff994647c,
options=0) at ../sysdeps/unix/sysv/linux/waitpid.c:40
resultvar = 117043536
oldtype =0
#1 0x00000000004f7f17 in ggisCrash(int) ()
No symbol table info available.
#2 <signal handler called>
No locals.
#3 0x00007f430dc28039 in osgEarth::MapNode::getTerrain() () from
/usr/lib/libosgEarth.so.2
No symbol table info available.
#4 0x00007f430d4d6418 in osgEarth::Util::EarthManipulator::established() () from
/ust/lib/libosgEarthUtil.so.2

No symbol table info available.

#5 0x00007f430dfa3d29 in osgViewer::View::assignSceneDataToCameras() () from
/ust/lib/libosgViewer.s0.99

No symbol table info available.

#6 0x00007f430dfa40ff in osgViewer::View::setSceneData(osg::Node*) () from
/usr/lib/libosgViewer.s0.99

No symbol table info available.

#7 0x00007f430f574c6a in GlobePlugin::run() () from
/usr/lib/qgis/plugins/libglobeplugin.so

No symbol table info available.

#8 0x00007f430f589d75 in ?? () from /usr/lib/qgis/plugins/libglobeplugin.so
No symbol table info available.

#9 0x00007f43306c077a in QMetaObject::activate(QObject”, QMetaObject const*, int,
void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so0.4

No symbol table info available.

#10 0x00007f432fa47572 in QAction::triggered(bool) () from
/usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#11 0x00007f432fa48f43 in QAction::activate(QAction::ActionEvent) () from
/usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#12 0x00007f432fe732f9 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
No symbol table info available.

#13 0x00007f432fe77829 in ?7? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
No symbol table info available.

#14 0x00007f432fa9cc9a in QWidget::event(QEvent*) () from
/usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#15 0x00007f432fe7b62b in QMenu::event(QEvent*) () from
/usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#16 0x00007f432fa4d6cc in QApplicationPrivate::notify_helper(QObject*, QEvent*) ()
from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#17 0x00007f432fa53e7d in QApplication::notify(QObject*, QEvent™) () from
/usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#18 0x00007f43318e5feb in QgsApplication::notify(QObject*, QEvent®) () from
/ust/lib/libqgis_core.s0.2.3.0

No symbol table info available.

#19 0x00007f43306ac4ed in QCoreApplication::notifylnternal(QObject*, QEvent*) () from
/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#20 0x00007f432fa53633 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*,
QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from
/usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#21 0x00007f432fac562c in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
No symbol table info available.

#22 0x00007f432fac3d6c in QApplication::x11ProcessEvent(_XEvent*) () from
/usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.
#23 0x00007f432faeb6c2 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
No symbol table info available.

#24 0x00007f432be2f526 in g_main_context_dispatch () from
/lib/x86_64-linux-gnu/libglib-2.0.s0.0

No symbol table info available.

#25 0x00007f432be2f878 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.s0.0

No symbol table info available.

#26 0x00007f432be2f91c¢ in g_main_context_iteration () from
/lib/x86_64-linux-gnu/libglib-2.0.s0.0

No symbol table info available.

#27 0x00007f43306d9725 in
QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#28 0x00007f432faeb776 in ?7? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
No symbol table info available.

#29 0x00007f43306ab0bf in
QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from
/usr/lib/x86_64-linux-gnu/libQtCore.so0.4

No symbol table info available.

#30 0x00007f43306ab3b5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) ()
from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#31 0x00007f43306b0b89 in QCoreApplication::exec() () from
/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#32 0x00000000004f28f3 in main ()

No symbol table info available.

gdb returned 0

Associated revisions

Revision 13a5167b - 2015-12-23 09:23 PM - Jiirgen Fischer

Merge pull request #2609 from sebastic/bug-9818

Add dependency on openscenegraph-plugin-osgearth to qgis-plugin-globe (fixes #9818)

History

#1 - 2014-03-19 02:49 PM - Antonio Locandro

On my machine when clickin on Globe icon infinite windows appears and | need to force stop. Using Windows 7 64 bit version happens with 2.2 and

master

#2 - 2014-03-19 03:23 PM - Larry Shaffer

Paolo,

Have you tried setting the OSG_LIBRARY_PATH env var, pointing to the OSG plugins path (then launch QGIS)?
#3 - 2014-03-20 01:52 AM - Paolo Cavallini

| packaged with dpkg-buildpackge, who must take care of this (if not, it's a bug anyway)

#4 - 2014-03-20 08:18 AM - Pirmin Kalberer

Do you have the same problem with a packaged 2.2?

#5 - 2014-03-20 08:35 AM - Paolo Cavallini

Yes, also from debs from ggis.org.

Please note: official debs should hit sid in a few days, I'll test with these also

#6 - 2014-03-20 09:24 AM - Pirmin Kalberer

| can reproduce the crash on Ubuntu with QGIS master and osgearth 2.4.0.

Mathias Kuhn made some major enhancements in Nov. 2013. Mathias, do you know what broke the globe in 2.2?

2.3 is a different story, because of multithreaded rendering.

#7 - 2014-03-20 10:43 AM - Matthias Kuhn

Looking at the last debug messages it could be connected to the cache which was re-enabled (based on a compiler switch osg earth version >=2.2.0 has

a new caching engine)

But no idea why it fails

Related commits:
commit:38b5f4ef and commit:443ca0d8

Previously people also reported problems with anti-aliasing, so one could also try to turn that off.
#8 - 2014-03-27 06:14 AM - Pirmin Kalberer
- Priority changed from High to Normal
Current status in master branch:
- Globe is running stable on Precise, Ubuntugis unstable and OsgEarth 2.4
- Win 32bit: Crash on startup
- Win 64bit: Globe windows opens, but flips around and finally crashes
- Mac: Should startup normal (Antialiazing disabled by default), but was crashing ofter some changes in settings
We're currently working on an update to OsgEarth 2.5 which should give a big performance improvement and will test on Windows (concentrating on

64bit) as well.

#9 - 2014-05-07 02:43 PM - jtornero -
For your information: | was about to file an issue about this, confirmating the bug in KUBUNTU 14.04, trying to make a backtrace, etc, but | tried to see

what packages | had installed in my system relative to globe plugin (mainly those related to openscenegraph and osgearh).

| realized that some packages were not installed and among them, one has popped out:

openscenegraph-plugin-osgearth

I've installed it between others not present... and... ta-dan!!! The globe works!!! but unfortunately | have not recorded which (to tell you the truth | wasn't
giving any chances for it to work), anyway I've got a log of apt-get operations (issuing grep install /var/log/dpkg.log) and look like what I installed to make

globe work was:

2014-05-07 23:09:23 install openscenegraph-plugin-osgearth:i386 <none> 2.4.0+dfsg-6
2014-05-07 23:09:23 status half-installed openscenegraph-plugin-osgearth:i386 2.4.0+dfsg-6
2014-05-07 23:09:26 install osgearth:i386 <none> 2.4.0+dfsg-6

2014-05-07 23:09:26 status half-installed osgearth:i386 2.4.0+dfsg-6

2014-05-07 23:09:27 install osgearth-data:all <none> 2.4.0+dfsg-6

2014-05-07 23:09:27 status half-installed osgearth-data:all 2.4.0+dfsg-6

2014-05-07 23:09:32 status installed man-db:i386 2.6.7.1-1

2014-05-07 23:09:33 status installed openscenegraph-plugin-osgearth:i386 2.4.0+dfsg-6
2014-05-07 23:09:33 status installed osgearth:i386 2.4.0+dfsg-6

2014-05-07 23:09:33 status installed osgearth-data:all 2.4.0+dfsg-6

2014-05-07 23:15:00 install freeglut3:i386 <none> 2.8.1-1

2014-05-07 23:15:00 status half-installed freeglut3:i386 2.8.1-1

2014-05-07 23:15:01 install openscenegraph:i386 <none> 3.2.0~rc1-4

2014-05-07 23:15:01 status half-installed openscenegraph:i386 3.2.0~rc1-4

2014-05-07 23:15:05 status installed man-db:i386 2.6.7.1-1

2014-05-07 23:15:05 status installed freeglut3:i386 2.8.1-1

2014-05-07 23:15:05 status installed openscenegraph:i386 3.2.0~rc1-4

2014-05-07 23:15:07 status installed libc-bin:i386 2.19-Oubuntu6

This is what was not installed by default by following the building instructions from the file INSTALL of the qgis source (mainly applying what is stated in
3.3. Install build dependencies)

My system:

Kubuntu 14.04 LTS

QGIS version 2.3.0-Master QGIS code revision b9f5477

Compiled against Qt 4.8.6 Running against Qt 4.8.6

Compiled against GDAL/OGR 1.10.1  Running against GDAL/OGR 1.10.1

Compiled against GEOS 3.4.2-CAPI-1.8.2 Running against GEOS 3.4.2-CAPI-1.8.2r3921
PostgreSQL Client Version 9.3.4 SpatiaLite Version 4.1.1

QWT Version 6.0.0-svn  PROJ.4 Version 480

QScintilla2 Version This copy of QGIS writes debugging output.

OPENSCENEGRAPH: 3.2.0

OSGEARTH: 2.4.0+dfsg-6

I hope this could help you. By the way, and related to others bugs/issues reported regarding Kubuntu 14.04, | had several problems regarding python
packages not installed by default which | had to install. Maybe the recommendations stated in 3.3. Install build dependencies of INSTALL should be

revised.

Best regards,
Jorge Tornero

P.D. By the way, the globe looks stable. It's a pity | run a laptop from 2006 and | can't take a lot of it, but it's so nice.

#10 - 2014-05-12 12:54 PM - Samuel Fernando Mesa Giraldo

Thanks Jorge, The solution was the installation of openscenegraph-plugin-osgearth package, | tested with QGIS 2.3 on Debian Jessie and working

properly.

jtornero - wrote:

For your information: | was about to file an issue about this, confirmating the bug in KUBUNTU 14.04, trying to make a backtrace, etc, but | tried to
see what packages | had installed in my system relative to globe plugin (mainly those related to openscenegraph and osgearh).

| realized that some packages were not installed and among them, one has popped out:

openscenegraph-plugin-osgearth

I've installed it between others not present... and... ta-dan!!! The globe works!!! but unfortunately | have not recorded which (to tell you the truth |
wasn't giving any chances for it to work), anyway I've got a log of apt-get operations (issuing grep install /var/log/dpkg.log) and look like what |
installed to make globe work was:

2014-05-07 23:09:23 install openscenegraph-plugin-osgearth:i386 <none> 2.4.0+dfsg-6
2014-05-07 23:09:23 status half-installed openscenegraph-plugin-osgearth:i386 2.4.0+dfsg-6
2014-05-07 23:09:26 install osgearth:i386 <none> 2.4.0+dfsg-6

2014-05-07 23:09:26 status half-installed osgearth:i386 2.4.0+dfsg-6

2014-05-07 23:09:27 install osgearth-data:all <none> 2.4.0+dfsg-6

2014-05-07 23:09:27 status half-installed osgearth-data:all 2.4.0+dfsg-6

2014-05-07 23:09:32 status installed man-db:i386 2.6.7.1-1

2014-05-07 23:09:33 status installed openscenegraph-plugin-osgearth:i386 2.4.0+dfsg-6
2014-05-07 23:09:33 status installed osgearth:i386 2.4.0+dfsg-6

2014-05-07 23:09:33 status installed osgearth-data:all 2.4.0+dfsg-6

2014-05-07 23:15:00 install freeglut3:i386 <none> 2.8.1-1

2014-05-07 23:15:00 status half-installed freeglut3:i386 2.8.1-1

2014-05-07 23:15:01 install openscenegraph:i386 <none> 3.2.0~rc1-4

2014-05-07 23:15:01 status half-installed openscenegraph:i386 3.2.0~rc1-4

2014-05-07 23:15:05 status installed man-db:i386 2.6.7.1-1

2014-05-07 23:15:05 status installed freeglut3:i386 2.8.1-1

2014-05-07 23:15:05 status installed openscenegraph:i386 3.2.0~rc1-4

2014-05-07 23:15:07 status installed libc-bin:i386 2.19-0ubuntu6

This is what was not installed by default by following the building instructions from the file INSTALL of the qgis source (mainly applying what is stated
in 3.3. Install build dependencies)

My system:

Kubuntu 14.04 LTS

QGIS version 2.3.0-Master QGIS code revision b9f5477
Compiled against Qt 4.8.6 Running against Qt 4.8.6

Compiled against GDAL/OGR 1.10.1 Running against GDAL/OGR 1.10.1
Compiled against GEOS 3.4.2-CAPI-1.8.2 Running against GEOS 3.4.2-CAPI-1.8.2 r3921
PostgreSQL Client Version 9.3.4 SpatiaLite Version 4.1.1
QWT Version 6.0.0-svn  PROJ.4 Version 480

QScintilla2 Version This copy of QGIS writes debugging output.
OPENSCENEGRAPH: 3.2.0

OSGEARTH: 2.4.0+dfsg-6

| hope this could help you. By the way, and related to others bugs/issues reported regarding Kubuntu 14.04, | had several problems regarding
python packages not installed by default which | had to install. Maybe the recommendations stated in 3.3. Install build dependencies of INSTALL
should be revised.

Best regards,

Jorge Tornero

P.D. By the way, the globe looks stable. It's a pity | run a laptop from 2006 and | can't take a lot of it, but it's so nice.

#11 - 2015-06-21 11:58 PM - Anita Graser
- Affected QGIS version changed from 2.2.0 to 2.8.0

For QGIS 2.8, installing openscenegraph-plugin-osgearth on Ubuntu does not fix the issue for me anymore. Clicking the globe icon just causes a seg fault

(core dump).

#12 - 2015-06-22 12:01 AM - Anita Graser

- Crashes QGIS or corrupts data changed from No to Yes

#13 - 2015-08-14 01:20 PM - Marco Bernasocchi

| just fixed some issues that caused segfaults. Now it is possible to build https://github.com/manisandro/QGIS/tree/globe on plain ubuntu 15.04.

at the moment you need to build without python bindings, I'll have a look at that later.

To build I have the following packages installed:
libosgearth-dev

libosgearth3

libosgearthannotation3

libosgearthfeatures3

libosgearthqt3

libosgearthsymbology3

libosgearthutil3
openscenegraph-plugin-osgearth

osgearth

very important is to install openscenegraph-plugin-osgearth which is not a dependency of osgearth. if you don't install it you will get the crash reported in

this bug.

#14 - 2015-12-23 08:14 AM - Bas Couwenberg

This issue was also reported in Debian Bug #808817, since the crash is solved by having openscenegraph-plugin-osgearth installed the fix is to add the
dependency to qgis-plugin-globe.

I've pushed the fix included in the Debian GIS maintained packaging in GitHub PR 2609

#15 - 2015-12-23 12:24 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"13a5167b4350485f04dbb65aa5bce5d10f25d8a2".
